# Security Policy

## Supported Versions

| Version | Supported          |
| ------- | ------------------ |
| 1.0.x   | :white_check_mark: |

## Reporting a Vulnerability

If you discover a security vulnerability within this project, please send an email to the maintainers via GitHub issues with a "security" label. All security vulnerabilities will be promptly addressed.

Please do not report security vulnerabilities through public GitHub issues.

## Security Best Practices

When using this MCP server:

1. **API Keys**: Store Letta API keys securely using environment variables
2. **Network Security**: Use HTTPS for all communications with Letta.ai
3. **Access Control**: Limit access to the MCP server to authorized users only
4. **Updates**: Keep the server updated to the latest version
5. **Monitoring**: Monitor server logs for unusual activity

## Vulnerability Response

1. **Acknowledgment**: We will acknowledge receipt of your vulnerability report within 48 hours
2. **Investigation**: We will investigate the issue and determine its severity
3. **Fix**: We will develop and test a fix for the vulnerability
4. **Disclosure**: We will coordinate the public disclosure of the vulnerability

## Contact

For security-related questions or concerns, please contact the maintainers through GitHub issues.