# Letta.ai Leadership Research & Partnership Intelligence

## Executive Summary

**CRITICAL FINDING**: No verified connection between Zack Lieberman and Letta.ai found through comprehensive research. The actual Letta.ai leadership consists of Charles Packer (CEO/Co-founder) and Sarah Wooders (CTO/Co-founder), both UC Berkeley PhD students.

## Actual Letta.ai Leadership Team

### Charles Packer - CEO & Co-founder
**Background:**
- PhD Student in Computer Science at UC Berkeley (Sky Computing Lab, formerly RISELab/AMPLab)
- Berkeley AI Research (BAIR) group member
- Research focus: Reinforcement learning and LLM agents
- Created MemGPT project that became foundation for Letta

**Key Research:**
- Lead author on MemGPT paper (arXiv:2310.08560): "MemGPT: Towards LLMs as Operating Systems"
- Focus on addressing LLM context window limitations
- Developed OS-inspired architecture for LLM memory management

**Professional Presence:**
- LinkedIn: Active in AI/ML community discussions
- Recent posts about MemGPT adoption and LLM memory systems
- Strong connections in Berkeley AI ecosystem

**Sources:**
- Berkeley AI Research profiles
- MemGPT research paper citations
- TechCrunch Letta announcement (Sep 23, 2024)
- UC Berkeley EECS publications

### Sarah Wooders - CTO & Co-founder
**Background:**
- PhD Student in Computer Science at UC Berkeley (Sky Computing Lab)
- Previously: MIT (Computer Science & Mathematics)
- Former founder: Glisten AI (YC W20) - AI for e-commerce product categorization
- Research focus: AI and data systems, cloud computing

**Key Research Areas:**
1. **Data Freshness for Model Serving** (PhD Dissertation focus)
   - RALF: Accuracy-aware feature store maintenance
   - Skyplane: Cloud-aware data transfer optimization
   - Cloudcast: Efficient multicast for cloud data distribution

2. **Memory Systems for AI**
   - Co-creator of MemGPT with Charles Packer
   - Systems expertise complementing Packer's conceptual work
   - Focus on practical implementation and scalability

**Publications & Research:**
- Co-author on MemGPT paper with Charles Packer
- Dissertation: "Ensuring Data Freshness Across Clouds for Model Serving"
- Multiple publications on cloud data systems and ML infrastructure
- Google Scholar profile with focus on systems and AI

**Professional Experience:**
- Founded Glisten AI (acquired/pivoted to Letta)
- Industry experience in e-commerce AI applications
- Strong background in both academic research and practical implementation

**Communication Style & Expertise:**
- Technical systems focus with practical application understanding
- Experience with startup environments and scaling challenges
- Bridges academic research with commercial product development

**Sources:**
- UC Berkeley EECS dissertations database
- Weaviate Podcast interview (Episode #117)
- TechCrunch coverage and company announcements
- Google Scholar and research publications

## Company Intelligence: Letta.ai

### Recent Funding & Valuation (September 2024)
- **$10M Seed Round** led by Felicis Ventures
- **$70M Post-money valuation**
- **Participants:** Sunflower Capital, Essence VC
- **Notable Angel Investors:**
  - Jeff Dean (Google)
  - Clem Delangue (Hugging Face)
  - Cristóbal Valenzuela (Runway)
  - Robert Nishihara (Anyscale)

### Company Mission & Technology
- **Focus:** Stateful AI agents with advanced memory systems
- **Core Technology:** MemGPT-based architecture for LLM memory management
- **Differentiator:** Persistent memory across conversations and sessions
- **Target Market:** Developers building AI agents and applications

### Partnership Opportunities & Interests

**Technical Integration Points:**
1. **Multi-Model Support:** Explicitly supports OpenAI, Anthropic, Mistral, and custom models
2. **Developer Tools:** Focus on APIs and infrastructure for agent development
3. **Open Source Commitment:** Strong emphasis on making AI accessible
4. **Memory Standards:** Pioneering stateful agent frameworks

**Partnership Indicators:**
- Open to working with multiple AI providers (not exclusive to one model)
- Strong developer community focus
- GitHub presence with 18 public repositories
- Academic research background suggests openness to collaboration

### Contact Strategy Recommendations

**Best Approach for Partnership Outreach:**
1. **Primary Contacts:**
   - Charles Packer (CEO): Academic/research angle, MemGPT technical discussion
   - Sarah Wooders (CTO): Systems integration, practical implementation focus

2. **Communication Channels:**
   - LinkedIn (both founders active)
   - GitHub (technical discussions)
   - Email through company website
   - Academic conferences (Berkeley AI Research connections)

3. **Value Proposition Angles:**
   - **For Charles:** Technical innovation, advancing MemGPT ecosystem
   - **For Sarah:** Practical integration, developer experience, scalability

**Messaging Strategy:**
- Emphasize technical contribution to stateful agent ecosystem
- Highlight MCP protocol innovation and community benefit
- Connect to their open source and accessibility mission
- Reference specific MemGPT/Letta technical challenges your MCP server addresses

### Market Context & Timing

**Industry Position:**
- Recently emerged from stealth (September 2024)
- Well-funded but still early stage
- Strong academic credibility and research foundation
- Growing developer community around MemGPT/Letta

**Partnership Timing:**
- **Optimal timing:** Company is actively building ecosystem and partnerships
- **Recent funding:** Resources available for strategic initiatives
- **Market validation:** Seeking to establish Letta as standard for stateful agents

### Competitive Landscape & Differentiation

**Letta's Positioning:**
- Memory-first approach vs. context extension
- Developer-focused vs. end-user applications
- Multi-model support vs. single-provider lock-in
- Academic research foundation vs. purely commercial development

**MCP Server Value:**
- Bridges Letta with Claude ecosystem
- Democratizes access to stateful agents
- Reduces integration complexity for developers
- Aligns with Letta's accessibility mission

## Research Limitations & Next Steps

### Information Gaps:
1. **Zack Lieberman Connection:** No verified link to Letta.ai found
2. **Direct Contact Information:** General company contacts available, personal emails not public
3. **Detailed Partnership Criteria:** Specific requirements not publicly disclosed

### Recommended Actions:
1. **Clarify Target Contact:** Confirm if Zack Lieberman is correct contact or if outreach should target Packer/Wooders
2. **Research Zack's Role:** If he is involved, determine his specific connection to Letta.ai
3. **Prepare Technical Demo:** Focus on MCP server capabilities that complement Letta's architecture
4. **Academic Angle:** Leverage Berkeley AI Research connections if available

### Sources Cited:
- TechCrunch: Letta stealth announcement (Sept 23, 2024)
- UC Berkeley EECS: Research publications and dissertations
- arXiv: MemGPT paper (2310.08560)
- Crunchbase: Funding and company information
- GitHub: Letta organization repositories
- Weaviate Podcast: Sarah Wooders interview (#117)
- PR Newswire: Funding announcement
- Berkeley AI Research: Faculty and student profiles